<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>To Do Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ todo_object.name }}</h1>
                <div>
                    <p><a href="{% url 'todo_list_update' todo_object.id %}">Edit</a></p>
                    <p><a href="{% url 'todo_list_delete' todo_object.id %}">Delete</a></p>
                </div>
                <div>
                    <h2>Tasks</h2>
                </div>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in todo_object.items.all %}
                        <tr>
                            <td><a href="{% url 'todo_list_list' %}">{{ item.task }}</td>
                            <td>{{ item.due_date|date:"M d, o" }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
